### Method

# Gio Subprocess get_identifier

since: 2.40

#### Declaration

    const gchar*
    g_subprocess_get_identifier (
      GSubprocess* subprocess
    )

#### Description

On UNIX, returns the process ID as a decimal string. On Windows, returns the result of GetProcessId() also as a string. If the subprocess has terminated, this will return `NULL`.

Available since: 2.40

#### Return value

Type: `const gchar*`

The subprocess identifier, or `NULL` if the subprocess has terminated.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.